<?php
require_once('../config.php');
$user_id = $_SESSION['user_id'];
$emp_id = $_SESSION['emp_id'];
$user_role = $_SESSION['user_role'];


// SQL server connection information
// $sql_details = $search_db;
$sql_details = $search_db;

if(!isset($_GET['isset'])){
    exit();
}


$table = <<<EOT
(
    SELECT
    ROW_NUMBER() OVER(ORDER BY t1.id DESC) row_num,
    t1.*
    FROM grievance_problem t1
)join_table
EOT;


$whereResult = null;
$whereAll = null;
if (isset($_GET['where_condition']) && !empty($_GET['where_condition'])) {
    $whereAll = $_GET['where_condition'];
}

// Table's primary key
$primaryKey = 'id';

// Array of database columns which should be read and sent back to DataTables.
// The `db` parameter represents the column name in the database, while the `dt`
// parameter represents the DataTables column identifier. In this case simple
// indexes
$columns = array(
    array('db' => 'row_num', 'dt' => 'row_num'),
    array(
        'db' => 'grievance', 
        'dt' => 'grievance',
        'formatter' => function($cell, $row){
            $returnValue = '<div style="min-width:300px; white-space: pre-wrap;">'.$row['grievance'].'</div>';
            return $returnValue;
        }
    ),
    array(
        'db' => 'created_at', 
        'dt' => 'created_at',
        'formatter' => function($cell, $row){
            $returnValue = date("h:i A - d M Y", strtotime($row['created_at']));;
            return $returnValue;
        }
    ),
    array('db' => 'id', 'dt' => 'id'),
);


/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * If you just want to use the basic configuration for DataTables with PHP
 * server-side, there is no need to edit below this line.
 */
require('ssp.class.php');

echo json_encode(
    // SSP::simple($_GET, $sql_details, $table, $primaryKey, $columns)
    SSP::complex($_GET, $sql_details, $table, $primaryKey, $columns, $whereResult, $whereAll)
);
